# $Revision: 1.13 $, $Date: 2008/07/13 20:18:32 $
Summary:	Simple greylisting system for mail transport agents
Summary(pl.UTF-8):	Prosty system szarych list dla serwerów pocztowych
Name:		greylistd
Version:	0.8.7
Release:	1
License:	GPL v2
Group:		Daemons
Source0:	http://ftp.debian.org/debian/pool/main/g/greylistd/%{name}_%{version}.tar.gz
# Source0-md5:	ec384d5e23a8e4db964d1f6cb53b2d26
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://packages.debian.org/unstable/mail/greylistd
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	python
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This daemon provides a simple greylisting implementation for use with
Exim and other mail transport agents (MTAs).

%description -l pl.UTF-8
Ten demon udostępnia prostą implementację szarych list do
wykorzystania z Eximem i innymi serwerami pocztowymi (MTA).

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_sysconfdir}/{sysconfig,rc.d/init.d,%{name}},/var/run/%{name},/var/lib/%{name},%{_mandir}/man{1,8}}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

install program/greylist $RPM_BUILD_ROOT%{_bindir}
install program/greylistd $RPM_BUILD_ROOT%{_sbindir}
install config/config $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/config
install doc/man1/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install doc/man8/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service %{name} restart
/sbin/chkconfig --add %{name}

%preun
if [ "$1" = 0 ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc doc/examples/*
%dir %attr(755,mail,mail) /var/run/%{name}
%dir %attr(755,mail,mail) /var/lib/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/config
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man?/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: greylistd.spec,v $
Revision 1.13  2008/07/13 20:18:32  paszczus
- updated to 0.8.7

Revision 1.12  2007/12/28 00:00:11  dzeus
- up to 0.8.6

Revision 1.11  2007-10-09 18:16:50  arekm
- up to 0.8.5

Revision 1.10  2007/06/30 12:39:13  paszczus
- updated to 0.8.3.5

Revision 1.9  2007/02/23 09:28:17  paszczus
- updated to 0.8.3.4

Revision 1.8  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.6  2007/02/04 11:17:31  paszczus
- updated to 0.8.3.3

Revision 1.5  2007/01/22 15:37:32  paszczus
- restart on upgrade

Revision 1.4  2007/01/22 15:24:54  paszczus
- updated to 0.8.3.2

Revision 1.3  2006/06/03 20:14:15  qboosh
- pl

Revision 1.2  2006/05/30 12:10:10  arekm
- url

Revision 1.1  2006/05/29 20:07:16  arekm
- simple greylist daemon (supports exim)
